"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateReactAndCompileDefault = void 0;
const compile_1 = __importDefault(require("@lib/compile-data-in-files/compile"));
const kebab_case_1 = __importDefault(require("@lib/format/kebab-case"));
const pascal_case_1 = __importDefault(require("@lib/format/pascal-case"));
const print_1 = require("@ui/print");
const create_1 = __importDefault(require("./create"));
const CreateReactAndCompileDefault = async (args) => {
    const fileName = (0, kebab_case_1.default)(args.name);
    const className = (0, pascal_case_1.default)(fileName);
    args.name = className;
    const isFail = await (0, create_1.default)(args);
    if (isFail)
        return (1);
    // compile data and apply to files
    const isFailCompile = await (0, compile_1.default)(Object.assign(Object.assign({}, args), { data: [
            { '{{__TEMPLATE__CLASS__NAME__}}': className },
            { '__TEMPLATE__FILE__NAME__': className }
        ] }));
    if (isFailCompile) {
        (0, print_1.PrintError)('compilation', 'error on compile data to template');
        return (1);
    }
    (0, print_1.PrintSuccessMessage)(className, 'created with success!!! Good hacking...\n');
    return (0);
};
exports.CreateReactAndCompileDefault = CreateReactAndCompileDefault;
exports.default = exports.CreateReactAndCompileDefault;
//# sourceMappingURL=create-react-default-compilation.js.map