#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("../register-paths");
const index_1 = __importDefault(require("@commands/index"));
const get_schema_for_resource_1 = __importDefault(require("@lib/args/get-schema-for-resource"));
const args_1 = require("@lib/args");
const args_2 = require("@lib/args");
const get_props_from_args_1 = __importDefault(require("@lib/args/get-props-from-args"));
const system_info_1 = require("@lib/system-info");
const help_1 = __importDefault(require("@ui/help"));
const version_1 = __importDefault(require("@ui/version"));
const node_path_1 = require("node:path");
const print_1 = require("@ui/print");
function main() {
    const args = (0, args_2.RemoveFilesArgs)((0, args_1.GetArgs)(process));
    const resource = (0, args_1.GetResource)(args);
    const action = (0, args_1.GetAction)((0, args_1.GetArgs)(process));
    const isHelp = (0, args_1.IsHelpAction)(args) || action === 'help';
    const isVersion = (0, args_2.IsVersionAction)(args) || action === 'version';
    const libPath = (0, system_info_1.GetLibPath)(process, require);
    if (isVersion)
        return (0, version_1.default)(libPath);
    if (isHelp || !resource || !action)
        return (0, help_1.default)(resource);
    const schema = (0, get_schema_for_resource_1.default)(resource);
    if (!schema) {
        (0, print_1.PrintError)(resource, 'not defined in schema');
        return (1);
    }
    ;
    const isValidInputs = (0, args_2.ValidateInputs)(args);
    if (isValidInputs)
        return isValidInputs;
    const originPath = (0, node_path_1.resolve)('downloads', schema.fileTarName);
    const props = (0, get_props_from_args_1.default)(args);
    const path = (0, system_info_1.GetCommandPath)(process);
    if (!path)
        return (1);
    props.destinationPath = (0, node_path_1.resolve)(path, props.destinationPath);
    index_1.default[action][resource](Object.assign(Object.assign(Object.assign({}, props), schema), { originPath, resource }));
    return (0);
}
exports.default = main();
//# sourceMappingURL=ddd.js.map