"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAction = void 0;
const is_asking_for_help_1 = __importDefault(require("./is-asking-for-help"));
const is_valid_action_1 = __importDefault(require("./is-valid-action"));
const remove_node_args_1 = __importDefault(require("./remove-node-args"));
/**
 * @description get terminal args
 * @param args typed args
 * @returns null or action as Action
 */
const GetAction = (args) => {
    const onlyArgs = (0, remove_node_args_1.default)(args);
    const hasArgs = onlyArgs.length > 0;
    if (!hasArgs)
        return null;
    const isHelpAction = (0, is_asking_for_help_1.default)(onlyArgs);
    if (isHelpAction)
        return 'help';
    const isValidAction = (0, is_valid_action_1.default)(onlyArgs[0]);
    if (!isValidAction)
        return null;
    return onlyArgs[0];
};
exports.GetAction = GetAction;
exports.default = exports.GetAction;
//# sourceMappingURL=get-action-arg.js.map