"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtractPropsFromArgs = void 0;
/**
 * @description get valid args typed
 * @param args args typed on terminal
 * @returns valid typed args
 */
const ExtractPropsFromArgs = (args) => {
    const defaultArgs = {
        name: 'sample',
        destinationPath: ''
    };
    const isArray = Array.isArray(args);
    if (!isArray)
        return defaultArgs;
    const nameIndex = args.findIndex((arg) => arg.toLowerCase() === '--name');
    if (nameIndex !== -1) {
        const name = args[nameIndex + 1];
        if (typeof name === 'string' && !name.includes('--'))
            defaultArgs.name = name;
    }
    const pathIndex = args.findIndex((arg) => arg.toLowerCase() === '--path');
    if (pathIndex !== -1) {
        const path = args[pathIndex + 1];
        if (typeof path === 'string' && path !== '.' && !path.includes('--'))
            defaultArgs.destinationPath = path;
    }
    return defaultArgs;
};
exports.ExtractPropsFromArgs = ExtractPropsFromArgs;
exports.default = exports.ExtractPropsFromArgs;
//# sourceMappingURL=get-props-from-args.js.map