"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetSchemaFromResource = void 0;
const schema_1 = __importDefault(require("@lib/schema"));
/**
 * @description get schema from a resource
 * @param resource Resource type
 * @returns TemplateSchema or null
 */
const GetSchemaFromResource = (resource) => {
    const schema = schema_1.default.find((template) => template.resourceName === resource);
    if (!schema)
        return null;
    return schema;
};
exports.GetSchemaFromResource = GetSchemaFromResource;
exports.default = exports.GetSchemaFromResource;
//# sourceMappingURL=get-schema-for-resource.js.map