"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsHelpAction = void 0;
/**
 * @description check if user is asking for help
 * @param args terminal typed args
 * @returns true if args includes help value
 */
const IsHelpAction = (args) => {
    const isArray = Array.isArray(args);
    return isArray && args.map((arg) => {
        if (typeof arg === 'string') {
            const action = arg.toLowerCase();
            return action === '--help' || action === 'help';
        }
        return false;
    }).includes(true);
};
exports.IsHelpAction = IsHelpAction;
exports.default = exports.IsHelpAction;
//# sourceMappingURL=is-asking-for-help.js.map