"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsVersionAction = void 0;
/**
 * @description check if user is asking for cli version
 * @param args terminal typed args
 * @returns true if args includes version word
 */
const IsVersionAction = (args) => {
    const isArray = Array.isArray(args);
    return isArray && args.map((arg) => {
        if (typeof arg === 'string') {
            const action = arg.toLowerCase();
            return action === '--version' || action === 'version';
        }
        return false;
    }).includes(true);
};
exports.IsVersionAction = IsVersionAction;
exports.default = exports.IsVersionAction;
//# sourceMappingURL=is-asking-for-version.js.map