"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateDefaultIfNotExistsCacheFile = exports.GetCacheFilePath = exports.cacheFilePath = void 0;
const save_data_content_1 = __importDefault(require("@lib/compile-data-in-files/save-data-content"));
const exists_file_1 = __importDefault(require("@lib/copy-files/exists-file"));
const schema_1 = __importDefault(require("@lib/schema"));
const define_lib_path_1 = __importDefault(require("@/define-lib-path"));
exports.cacheFilePath = (0, define_lib_path_1.default)(['lib', 'cache', 'cache.json']);
const GetCacheFilePath = () => {
    return exports.cacheFilePath;
};
exports.GetCacheFilePath = GetCacheFilePath;
/**
 * @description create default cache file
 * @returns 1 if file exists or 0 if created with success
 */
const CreateDefaultIfNotExistsCacheFile = () => {
    const path = (0, exports.GetCacheFilePath)();
    const existsFile = (0, exists_file_1.default)(path);
    if (existsFile)
        return (1);
    const requests = schema_1.default.map((schema) => ({
        lastRequest: 0,
        fileTarName: schema.fileTarName
    }));
    const file = {
        requests,
        createdAt: new Date(),
        updatedAt: new Date()
    };
    return (0, save_data_content_1.default)(path, JSON.stringify(file));
};
exports.CreateDefaultIfNotExistsCacheFile = CreateDefaultIfNotExistsCacheFile;
exports.default = exports.CreateDefaultIfNotExistsCacheFile;
//# sourceMappingURL=create-default-cache-file.js.map