"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsCacheExpired = void 0;
const get_cache_file_1 = __importDefault(require("./get-cache-file"));
/**
 * @description cache expires in 3 days
 * @param props templateUrl and fileName
 * @returns true if cache is expired and false if not
 */
const IsCacheExpired = (props) => {
    const now = Date.now();
    const expired = true;
    const json = (0, get_cache_file_1.default)();
    const cache = json.requests.find((_cache) => props.fileTarName === _cache.fileTarName);
    if (!cache)
        return expired;
    const expirationInMS = props.cacheExpiresSec * 1000;
    const isExpired = (now - cache.lastRequest) > expirationInMS;
    return isExpired;
};
exports.IsCacheExpired = IsCacheExpired;
exports.default = exports.IsCacheExpired;
//# sourceMappingURL=is-cache-expired.js.map