"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateCacheExpiration = void 0;
const get_schema_for_resource_1 = __importDefault(require("@lib/args/get-schema-for-resource"));
const save_data_content_1 = __importDefault(require("@lib/compile-data-in-files/save-data-content"));
const create_default_cache_file_1 = require("./create-default-cache-file");
const get_cache_file_1 = __importDefault(require("./get-cache-file"));
/**
 * @description update cache if a new download happens
 * @param props fileTarName, fileName, TemplateUrl
 * @returns 1 if schema is not found and 0 if write content with success
 */
const UpdateCacheExpiration = (props) => {
    const caches = (0, get_cache_file_1.default)();
    const schema = (0, get_schema_for_resource_1.default)(props.resource);
    const cachePath = (0, create_default_cache_file_1.GetCacheFilePath)();
    if (!schema)
        return (1);
    caches.updatedAt = new Date();
    const findIndex = caches.requests.findIndex((req) => props.fileTarName === req.fileTarName);
    const exists = findIndex !== -1;
    if (exists)
        caches.requests.splice(findIndex, 1);
    caches.requests.push({
        fileTarName: schema.fileTarName,
        lastRequest: Date.now()
    });
    return (0, save_data_content_1.default)(cachePath, JSON.stringify(caches));
};
exports.UpdateCacheExpiration = UpdateCacheExpiration;
exports.default = exports.UpdateCacheExpiration;
//# sourceMappingURL=update-cache-expiration.js.map