"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyFiles = void 0;
const create_folder_1 = __importDefault(require("@lib/create-folder-if-not-exists/create-folder"));
const define_lib_path_1 = __importDefault(require("@/define-lib-path"));
const node_fs_1 = require("node:fs");
const node_path_1 = require("node:path");
const read_dir_1 = __importDefault(require("./read-dir"));
/**
 * @description copy files from cli folder to user path
 * @param props folderDestination, cliPath
 * @returns 0 if all is ok and 1 if some error
 */
const CopyFiles = (props) => {
    const dir = (0, read_dir_1.default)(props.folderOrigin);
    let destination = props.destinationPath;
    dir.forEach((file) => {
        const isFile = file.isFile();
        const origin = (0, define_lib_path_1.default)([props.folderOrigin, file.name]);
        if (isFile) {
            const destine = (0, node_path_1.resolve)(destination, file.name);
            (0, node_fs_1.copyFileSync)(origin, destine);
            return (0);
        }
        destination = (0, node_path_1.resolve)(destination, file.name);
        (0, create_folder_1.default)(destination);
        return (0, exports.CopyFiles)({ destinationPath: destination, folderOrigin: origin });
    });
    return (0);
};
exports.CopyFiles = CopyFiles;
exports.default = exports.CopyFiles;
//# sourceMappingURL=copy-files.js.map