"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReadDir = void 0;
const node_fs_1 = require("node:fs");
/**
 * @description read files from a path
 * @param path as string
 * @returns Array of Dirent or an empty Array
 */
const ReadDir = (path) => {
    const exists = (0, node_fs_1.existsSync)(path);
    if (!exists)
        return [];
    return (0, node_fs_1.readdirSync)(path, { encoding: 'utf8', withFileTypes: true });
};
exports.ReadDir = ReadDir;
exports.default = exports.ReadDir;
//# sourceMappingURL=read-dir.js.map