"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateFolderIfNotExists = void 0;
const node_fs_1 = require("node:fs");
/**
 * @description create a folder if provided path does not exists
 * @param path local to create the folder
 * @returns 0 if a new folder is created and 1 if not
 */
const CreateFolderIfNotExists = (path) => {
    const exists = (0, node_fs_1.existsSync)(path);
    if (!exists) {
        (0, node_fs_1.mkdirSync)(path, { recursive: true });
        return (0);
    }
    return (1);
};
exports.CreateFolderIfNotExists = CreateFolderIfNotExists;
exports.default = exports.CreateFolderIfNotExists;
//# sourceMappingURL=create-folder.js.map