"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormatToKebabCase = void 0;
const is_upper_case_1 = require("./is-upper-case");
const is_valid_char_1 = require("./is-valid-char");
/**
 * @description format any string to kebab case
 * @param value string
 * @returns string as kebab case
 * @example hello-world
 */
const FormatToKebabCase = (value) => {
    if (typeof value !== 'string')
        return 'sample';
    if (value.length < 2)
        return 'sample';
    const copy = value.replace(/_/g, '-');
    let formatted = copy[0].toLowerCase();
    let index = 1;
    while (copy[index]) {
        const isUpper = (0, is_upper_case_1.IsUpperChar)(copy[index]);
        const isValid = (0, is_valid_char_1.IsValidKebabChar)(copy[index]);
        if (isValid) {
            formatted += copy[index];
            index++;
            continue;
        }
        if (isUpper) {
            formatted = formatted + '-' + copy[index].toLowerCase();
            index++;
            continue;
        }
        ;
        index++;
    }
    const first = formatted[0] === '-';
    const last = formatted[formatted.length - 1] === '-';
    if (first)
        formatted = formatted.slice(1);
    if (last)
        formatted = formatted.slice(0, formatted.length - 1);
    formatted = formatted.replace(/--/g, '-');
    return formatted;
};
exports.FormatToKebabCase = FormatToKebabCase;
exports.default = exports.FormatToKebabCase;
//# sourceMappingURL=kebab-case.js.map