"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormatToPascalCase = void 0;
/**
 * @description transform a kebab case in PascalCase
 * @param kebabCase string as kebabCase
 * @returns string as PascalCase
 */
const FormatToPascalCase = (kebabCase) => {
    let symIndex = kebabCase.indexOf('-');
    if (symIndex === -1) {
        const firstLetter = kebabCase[0].toUpperCase();
        return firstLetter + kebabCase.slice(1);
    }
    return (0, exports.FormatToPascalCase)(kebabCase.slice(0, symIndex) +
        kebabCase.slice(symIndex + 1, symIndex + 2).toUpperCase() +
        kebabCase.slice(symIndex + 2));
};
exports.FormatToPascalCase = FormatToPascalCase;
exports.default = exports.FormatToPascalCase;
//# sourceMappingURL=pascal-case.js.map