"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetLibPath = void 0;
/**
 * @description get lib path
 * @param process NodeProcess
 * @param require node require
 * @returns path as string or null
 */
const GetLibPath = (process, require) => {
    var _a, _b;
    const path = (_a = require.main) === null || _a === void 0 ? void 0 : _a.path;
    if (path)
        return path;
    const alternativePath = (_b = process.mainModule) === null || _b === void 0 ? void 0 : _b.path;
    if (alternativePath)
        return alternativePath;
    return null;
};
exports.GetLibPath = GetLibPath;
exports.default = exports.GetLibPath;
//# sourceMappingURL=get-lib-path.js.map