"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExtractFile = void 0;
const icons_1 = require("@ui/icons");
const print_1 = require("@ui/print");
const node_fs_1 = require("node:fs");
const tar_1 = __importDefault(require("tar"));
/**
 * @description extract files from tar to local templates folder
 * @param props folderOrigin, tarName
 * @return 0 if all ok
 */
const ExtractFile = async (props) => {
    return new Promise((ok, fail) => {
        (0, print_1.PrintInfo)(icons_1.gear, ' extracting files', 'decompressing ...');
        const origin = props.zipTarFilePath;
        const destine = props.destinationPath;
        const read = (0, node_fs_1.createReadStream)(origin).pipe(tar_1.default.x({
            strip: 1,
            C: destine,
            unlink: false,
            filter: (path) => {
                return !path.includes('.git') && !path.includes('.gitignore');
            }
        }));
        read.on('finish', () => { ok(0); return (0); });
        read.on('error', (err) => { fail(err); return (1); });
        return (0);
    });
};
exports.ExtractFile = ExtractFile;
exports.default = exports.ExtractFile;
//# sourceMappingURL=decompress.js.map